/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.toolbox.ui;

import com.arsdigita.bebop.SingleSelectionModel;
import com.arsdigita.bebop.ParameterSingleSelectionModel;
import com.arsdigita.bebop.parameters.BigDecimalParameter;


/**
 * @deprecated (Use com.arsdigita.kernel.ui.ACSObjectSelectionModel)
 **/
public class ACSObjectSelectionModel
    extends com.arsdigita.kernel.ui.ACSObjectSelectionModel {

    public ACSObjectSelectionModel(BigDecimalParameter parameter) {
        super(parameter);
    }

    public ACSObjectSelectionModel(String parameterName) {
        super(new BigDecimalParameter(parameterName));
    }

    public ACSObjectSelectionModel(SingleSelectionModel model) {
        super(model);
    }

    public ACSObjectSelectionModel(String javaClass, String objectType,
                                   String parameterName) {
        super(javaClass, objectType, new BigDecimalParameter(parameterName));
    }

    public ACSObjectSelectionModel(String javaClass, String objectType,
                                   BigDecimalParameter parameter) {
        super(javaClass, objectType,
              new ParameterSingleSelectionModel(parameter));
    }

    public ACSObjectSelectionModel(String javaClass, String objectType,
                                   SingleSelectionModel model) {
        super(javaClass, objectType, model);
    }

}
